﻿using Syncfusion.Pdf;
using Syncfusion.Windows.Forms.PdfViewer;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Forum149531
{
    public partial class Form1 : Form
    {
        PdfViewerControl pvDoc;

        public Form1()
        {
            InitializeComponent();

            this.WindowState = FormWindowState.Maximized;


            // Initialize PdfViewerControl

            pvDoc = new PdfViewerControl();

            pvDoc.Dock = DockStyle.Fill;

            this.Controls.Add(pvDoc);

            this.Load += Form1_Load;
           
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PdfDocument pDoc = PrintCarton();

            Stream stmDoc = new MemoryStream();

            pDoc.Save(stmDoc);

            pvDoc.Load(stmDoc);
        }

        static public PdfDocument PrintCarton()
        {
            PdfDocument document = new PdfDocument();
            //document.PageSettings.Size = PdfPageSize.A6;
            document.PageSettings.Width = 72 * 6;
            document.PageSettings.Height = 72 * 4;
            document.PageSettings.Orientation = PdfPageOrientation.Landscape;

            PdfPage page = document.Pages.Add();


            return document;
        }
    }
}
